Subject: Re: bug#73324: 30.0.91; php-ts-mode: regression due to the latest patches for treesitter.c?

From: Yuan Fu <[email-masked]>
Date: Tue, 17 Sep 2024 21:26:40 -0700

> On Sep 17, 2024, at 1:29 PM, Vincenzo Pupillo <[email-masked]> wrote:
> 
> Ciao,
> php-ts-mode no longer behaves as it used to. There seems to be some problems 
> with the calculation of ranges covered by the parsers. In the image I attached 
> you can see how the code is being parsed by both the php and javascript 
> parsers. The namespace declaration has some elements colored as if they were 
> escape sequences.
> The php-ts-mode--get-parser-ranges function returns the following ranges:
> 
> ((#<treesit-parser for html> nil) (#<treesit-parser for css> nil) (#<treesit-
> parser for javascript> nil) (#<treesit-parser for php> nil) (#<treesit-parser 
> for phpdoc> ((368 . 426))) (#<treesit-parser for jsdoc> ((368 . 426))))
> 
> The range for 'jsdoc' is wrong, there should be only the range for 'phpdoc'.
> The attached gif screencast shows the strange behavior in updating the font-
> lock.
> It doesn't happen all the time. I'm trying to isolate the problem.
> 
> Any ideas about this?
> The parsers were installed with php-ts-mode-install-parser.
> 
> GNU Emacs 30.0.91 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.43, cairo 
> version 1.18.0) of 2024-09-17, libtree-sitter-0.22.5-1.fc40.x86_64
> 
> 
> Thanks.
> 
> Vincenzo

I couldn’t reproduce this but I have some suspicion. I pushed a change to emacs-30, please try to use that and see if you can still occasionally reproduce. Thanks! And sorry for breaking it :-)

Yuan